Fehlermeldungen in Shopware 5.5

Plugins deinstallieren per CLI


Achten Sie darauf, dass ab der Shopware 5.5 in Verbindung mit PHP7.1 unbedingt vorher der Lizenzmanager sowie Plugins die verschlüsselt sind (aus dem Shopware Store) deinstalliert werden müssten.
Wenn z.B. der Lizenzmanager nicht deinstalliert worden ist im Vorfeld, erscheint folgender untenstehender Fehler und der Shop ist nicht mehr erreichbar.

Fatal error: The file /**/engine/Shopware/Plugins/Community/Core/SwagLicense/Bootstrap.php was encoded by the ionCube Encoder for PHP 5.6 and cannot run under PHP 7.1 or later. Please ask the provider of the script to provide a version encoded with the ionCube Encoder for PHP 7.1. in Unknown on line 0

Man kann im Nachhinein, gegebenfalls das Plugin deinstallieren über die Shopware CLI Tools, siehe
Shopware CLI: Nützliche Befehle & Tricks unter Plugin Befehle.

Dazu per Konsole folgenden Befehl ausführen:   php bin/console 

sw:plugin:uninstall SwagLicence

Eventuell dann auch das Plugin direkt löschen

sw:plugin:delete SwagLicence